package main

import "bufio"
import "fmt"
import "os"
import "strconv"
import "strings"
import "slices"

func abs(x int) int {
	if x < 0 {
		return -x
	} else {
		return x
	}
}

func signum(x int) int {
	if x < 0 {
		return -1
	} else if x > 0 {
		return 1
	} else {
		return 0
	}
}

func isSafe(report []int) bool {
	var prevsdelta int

	n := len(report)
	for i:=0; i < n - 1; i++ {
		delta := report[i+1] - report[i]
		adelta := abs(delta)
		if adelta < 1 || adelta > 3 {
			return false
		}
		sdelta := signum(delta)
		if i > 0 && sdelta != prevsdelta {
			return false
		}
		prevsdelta = sdelta
	}
	return true
}

func isSafeProblemDampener(report []int) bool {
	if isSafe(report) {
		return true
	}
	for i := 0; i < len(report); i++ {
		t := slices.Clone(report[:i])  
        t = append(t, report[i+1:]...)
		if isSafe(t) {
			return true
		}
	}
	return false
}


func main() {

	count := 0
	scanner := bufio.NewScanner(os.Stdin)
	for scanner.Scan() {
		var r []int
		riga := scanner.Text()
		if len(riga) == 0 {
			continue
		}
		levels := strings.Fields(riga)
		for i:=0; i < len(levels); i++ {
			x, _ := strconv.Atoi(levels[i])
			r = append(r, x)
		}
		if isSafeProblemDampener(r) {
			count++
		}
		//fmt.Printf("%v\t%v\n",r,isSafe(r))
	}
	fmt.Println(count)
}



